RDKit::MatchingAtomIterator_< Atom_, Mol_ > Class Template Reference

Iterate over atoms matching a query function. This is bidirectional. More...

`#include <AtomIterators.h>`

## Public Types

typedef MatchingAtomIterator_< Atom_, Mol_ > | ThisType

## Public Member Functions

| MatchingAtomIterator_ ()
| MatchingAtomIterator_ (Mol_ *mol, bool(*fn)(Atom_ *))
| MatchingAtomIterator_ (Mol_ *mol, int pos)
| ~MatchingAtomIterator_ ()
| MatchingAtomIterator_ (const ThisType &other)
MatchingAtomIterator_ & | operator= (const ThisType &other)
bool | operator== (const ThisType &other) const
bool | operator!= (const ThisType &other) const
Atom_ * | operator* () const
ThisType & | operator++ ()
ThisType | operator++ (int)
ThisType & | operator-- ()
ThisType | operator-- (int)

## Detailed Description

### template<class Atom_, class Mol_>
class RDKit::MatchingAtomIterator_< Atom_, Mol_ >

Iterate over atoms matching a query function. This is bidirectional.

Definition at line 169 of file AtomIterators.h.

## Member Typedef Documentation

template<class Atom_ , class Mol_ >

typedef MatchingAtomIterator_<Atom_,Mol_> RDKit::MatchingAtomIterator_< Atom_, Mol_ >::ThisType

Definition at line 171 of file AtomIterators.h.

## Constructor & Destructor Documentation

template<class Atom_ , class Mol_ >

RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_ | ( |  | ) |

inline

Definition at line 172 of file AtomIterators.h.

template<class Atom_ , class Mol_ >

RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_ | ( | Mol_ * | mol,
|  | bool(*)(Atom_ *) | fn
| ) |  |

template<class Atom_ , class Mol_ >

RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_ | ( | Mol_ * | mol,
|  | int | pos
| ) |  |

template<class Atom_ , class Mol_ >

RDKit::MatchingAtomIterator_< Atom_, Mol_ >::~MatchingAtomIterator_ | ( |  | ) |

template<class Atom_ , class Mol_ >

RDKit::MatchingAtomIterator_< Atom_, Mol_ >::MatchingAtomIterator_ | ( | const ThisType & | other | ) |

## Member Function Documentation

template<class Atom_ , class Mol_ >

bool RDKit::MatchingAtomIterator_< Atom_, Mol_ >::operator!= | ( | const ThisType & | other | ) | const

template<class Atom_ , class Mol_ >

Atom_* RDKit::MatchingAtomIterator_< Atom_, Mol_ >::operator* | ( |  | ) | const

template<class Atom_ , class Mol_ >

ThisType& RDKit::MatchingAtomIterator_< Atom_, Mol_ >::operator++ | ( |  | ) |

template<class Atom_ , class Mol_ >

ThisType RDKit::MatchingAtomIterator_< Atom_, Mol_ >::operator++ | ( | int |  | ) |

template<class Atom_ , class Mol_ >

ThisType& RDKit::MatchingAtomIterator_< Atom_, Mol_ >::operator-- | ( |  | ) |

template<class Atom_ , class Mol_ >

ThisType RDKit::MatchingAtomIterator_< Atom_, Mol_ >::operator-- | ( | int |  | ) |

template<class Atom_ , class Mol_ >

MatchingAtomIterator_& RDKit::MatchingAtomIterator_< Atom_, Mol_ >::operator= | ( | const ThisType & | other | ) |

template<class Atom_ , class Mol_ >

bool RDKit::MatchingAtomIterator_< Atom_, Mol_ >::operator== | ( | const ThisType & | other | ) | const

The documentation for this class was generated from the following file:

- AtomIterators.h